LibreOffice: rtl::MalformedUriException Class Reference

LibreOffice LibreOffice 6.2 SDK C/C++ API Reference

Public Member Functions | List of all members
rtl::MalformedUriException Class Reference

An exception indicating a malformed URI. More...

`#include <malformeduriexception.hxx>`

## Public Member Functions
SAL_EXCEPTION_DLLPRIVATE | MalformedUriException (rtl::OUString const &rMessage)
| Create a MalformedUriException. More...
SAL_EXCEPTION_DLLPRIVATE | MalformedUriException (MalformedUriException const &other)
SAL_EXCEPTION_DLLPRIVATE | ~MalformedUriException ()
SAL_EXCEPTION_DLLPRIVATE MalformedUriException | operator= (MalformedUriException const &rOther)
SAL_EXCEPTION_DLLPRIVATE rtl::OUString const & | getMessage () const
| Get the message. More...

## Detailed Description

An exception indicating a malformed URI.

Used when parsing (part of) a URI fails for syntactical reasons.

## Constructor & Destructor Documentation

## ◆ MalformedUriException() [1/2]

SAL_EXCEPTION_DLLPRIVATE rtl::MalformedUriException::MalformedUriException | ( | rtl::OUString const & | rMessage | ) |
| inline

Create a MalformedUriException.

Parameters

  rMessage | A message containing any details about the exception.

## ◆ MalformedUriException() [2/2]

SAL_EXCEPTION_DLLPRIVATE rtl::MalformedUriException::MalformedUriException | ( | MalformedUriException const & | other | ) |
| inline

## ◆ ~MalformedUriException()

SAL_EXCEPTION_DLLPRIVATE rtl::MalformedUriException::~MalformedUriException | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getMessage()

SAL_EXCEPTION_DLLPRIVATE rtl::OUString const& rtl::MalformedUriException::getMessage | ( |  | ) | const
| inline

Get the message.

Returns
  A reference to the message. The reference is valid for the lifetime of this MalformedUriException.

## ◆ operator=()

SAL_EXCEPTION_DLLPRIVATE MalformedUriException rtl::MalformedUriException::operator= | ( | MalformedUriException const & | rOther | ) |
| inline

The documentation for this class was generated from the following file:

- rtl/malformeduriexception.hxx